using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace CallCenterApi.BLL
{
    /// <summary>
    /// T_RegionCategory
    /// </summary>
    public partial class T_RegionCategory
    {
        private readonly DAL.T_RegionCategory dal = new DAL.T_RegionCategory();
        public T_RegionCategory()
        { }
        #region  Method
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int F_RegionId)
        {
            return dal.Exists(F_RegionId);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(Model.T_RegionCategory model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(Model.T_RegionCategory model)
        {
            return dal.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_RegionId)
        {

            return dal.Delete(F_RegionId);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string F_RegionIdlist)
        {
            return dal.DeleteList(F_RegionIdlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public Model.T_RegionCategory GetModel(int F_RegionId)
        {

            return dal.GetModel(F_RegionId);
        }
        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public Model.T_RegionCategory GetModel(string F_RegionName)
        {

            return dal.GetModel(F_RegionName);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<Model.T_RegionCategory> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<Model.T_RegionCategory> DataTableToList(DataTable dt)
        {
            List<Model.T_RegionCategory> modelList = new List<Model.T_RegionCategory>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                Model.T_RegionCategory model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = new Model.T_RegionCategory();
                    if (dt.Rows[n]["F_RegionId"] != null && dt.Rows[n]["F_RegionId"].ToString() != "")
                    {
                        model.F_RegionId = int.Parse(dt.Rows[n]["F_RegionId"].ToString());
                    }
                    if (dt.Rows[n]["F_AreaId"] != null && dt.Rows[n]["F_AreaId"].ToString() != "")
                    {
                        model.F_AreaId = int.Parse(dt.Rows[n]["F_AreaId"].ToString());
                    }
                    if (dt.Rows[n]["F_RegionNumber"] != null && dt.Rows[n]["F_RegionNumber"].ToString() != "")
                    {
                        model.F_RegionNumber = dt.Rows[n]["F_RegionNumber"].ToString();
                    }
                    if (dt.Rows[n]["F_RegionName"] != null && dt.Rows[n]["F_RegionName"].ToString() != "")
                    {
                        model.F_RegionName = dt.Rows[n]["F_RegionName"].ToString();
                    }
                    if (dt.Rows[n]["F_RegionEName"] != null && dt.Rows[n]["F_RegionEName"].ToString() != "")
                    {
                        model.F_RegionEName = dt.Rows[n]["F_RegionEName"].ToString();
                    }
                    if (dt.Rows[n]["F_Sort"] != null && dt.Rows[n]["F_Sort"].ToString() != "")
                    {
                        model.F_Sort = int.Parse(dt.Rows[n]["F_Sort"].ToString());
                    }
                    if (dt.Rows[n]["F_Layer"] != null && dt.Rows[n]["F_Layer"].ToString() != "")
                    {
                        model.F_Layer = int.Parse(dt.Rows[n]["F_Layer"].ToString());
                    }
                    if (dt.Rows[n]["F_ParentId"] != null && dt.Rows[n]["F_ParentId"].ToString() != "")
                    {
                        model.F_ParentId = int.Parse(dt.Rows[n]["F_ParentId"].ToString());
                    }
                    if (dt.Rows[n]["F_CreateBy"] != null && dt.Rows[n]["F_CreateBy"].ToString() != "")
                    {
                        model.F_CreateBy = int.Parse(dt.Rows[n]["F_CreateBy"].ToString());
                    }
                    if (dt.Rows[n]["F_CreateOn"] != null && dt.Rows[n]["F_CreateOn"].ToString() != "")
                    {
                        model.F_CreateOn = DateTime.Parse(dt.Rows[n]["F_CreateOn"].ToString());
                    }
                    if (dt.Rows[n]["F_ModifyBy"] != null && dt.Rows[n]["F_ModifyBy"].ToString() != "")
                    {
                        model.F_ModifyBy = int.Parse(dt.Rows[n]["F_ModifyBy"].ToString());
                    }
                    if (dt.Rows[n]["F_ModifyOn"] != null && dt.Rows[n]["F_ModifyOn"].ToString() != "")
                    {
                        model.F_ModifyOn = DateTime.Parse(dt.Rows[n]["F_ModifyOn"].ToString());
                    }
                    if (dt.Rows[n]["F_DeleteFlag"] != null && dt.Rows[n]["F_DeleteFlag"].ToString() != "")
                    {
                        model.F_DeleteFlag = int.Parse(dt.Rows[n]["F_DeleteFlag"].ToString());
                    }
                    modelList.Add(model);
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        //public DataSet GetList(int PageSize,int PageIndex,string strWhere)
        //{
        //return dal.GetList(PageSize,PageIndex,strWhere);
        //}

        #endregion  Method
    }
}